package storage

import (
	"context"
	"git.sch9.ru/new_gate/ms-tester/internal/languages"
	"git.sch9.ru/new_gate/ms-tester/internal/lib"
	"github.com/jmoiron/sqlx"
	"go.uber.org/zap"
)

type LanguageStorage struct {
	db     *sqlx.DB
	logger *zap.Logger
}

func NewLanguageStorage(db *sqlx.DB, logger *zap.Logger) *LanguageStorage {
	return &LanguageStorage{
		db:     db,
		logger: logger,
	}
}

func (storage *LanguageStorage) ReadLanguageById(ctx context.Context, id int32) (*languages.Language, error) {
    if(id>=int32(len(languages.Languages))) {
        return nil,lib.StorageError(nil,lib.ErrNotFound, "no such language")
    }
	return &languages.Languages[id], nil
}
